<template>
    <div class="open-notebook editor app">
        <button @click="openNotebook" class="icon">
            <app-icon :icon="appIcon"></app-icon>
        </button>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'

@Component
export default class App extends Vue {
    // Props

    @Prop({ default: false }) open: boolean | undefined

    // Computed

    get appIcon(): string {
        return this.open ? 'arrow-left' : 'arrow-right'
    }

    // Methods

    openNotebook(): void {
        this.$emit('open', !this.open)
    }
}
</script>